Bug 644335 - Review Request: rubygem-mustache - Mustache is a framework-agnostic way to render logic-free views
Summary: Review Request: rubygem-mustache - Mustache is a framework-agnostic way to re...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michal Fojtik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-19 13:28 UTC by Jozef Zigmund
Modified: 2012-04-17 13:25 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-11-23 21:51:53 UTC
mfojtik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jozef Zigmund 2010-10-19 13:28:52 UTC
Spec URL: http://st.fri.uniza.sk/~zigmundj/fedorapkg/rubygem-mustache.spec
SRPM URL: http://st.fri.uniza.sk/~zigmundj/fedorapkg/rubygem-mustache-0.11.2-1.fc13.src.rpm

Description:

Think of Mustache as a replacement for your views.
Instead of views consisting of ERB or HAML with random helpers and arbitrary logic, your views are broken into two parts: a Ruby class and an HTML template.

Comment 1 Michal Fojtik 2010-10-20 14:08:44 UTC
Some notes for -1:

- Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem

Please this URL to: Source0: http://rubygems.org/downloads/%{}-%{version}.gem

- Summary

Please remove "Mustache is", it's unnecessarily here.

- Require

Please add rubygem-sinatra to requires:

./lib/mustache/sinatra.rb:require 'sinatra/base

Comment 2 Jozef Zigmund 2010-10-20 16:56:09 UTC
(In reply to comment #1)
> Some notes for -1:
> 
> - Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
> 
> Please this URL to: Source0: http://rubygems.org/downloads/%{}-%{version}.gem
>
I repair URL to Source0: http://rubygems.org/downloads/%{gemname}-%{version}.gem, because in your URL was typo.

> - Summary
> 
> Please remove "Mustache is", it's unnecessarily here.
> 
Removed.

> - Require
> 
> Please add rubygem-sinatra to requires:
> 
> ./lib/mustache/sinatra.rb:require 'sinatra/base

Add to spec file, Require: rubygem(sinatra)

NEW SPEC URL: http://st.fri.uniza.sk/~zigmundj/fedorapkg/rubygem-mustache.spec
NEW SRPM URL: http://st.fri.uniza.sk/~zigmundj/fedorapkg/rubygem-mustache-0.11.2-2.fc13.src.rpm

Comment 3 Michal Fojtik 2010-11-04 17:42:16 UTC
(In reply to comment #2)
> (In reply to comment #1)

> NEW SPEC URL: http://st.fri.uniza.sk/~zigmundj/fedorapkg/rubygem-mustache.spec
> NEW SRPM URL:
> http://st.fri.uniza.sk/~zigmundj/fedorapkg/rubygem-mustache-0.11.2-2.fc13.src.rpm


Notes for -2:

[!] Please mark man, README.md and LICENSE with %doc

%defattr(-, root, root, -)
%{_bindir}/mustache
%{gemdir}/gems/%{gemname}-%{version}/
%doc %{gemdir}/doc/%{gemname}-%{version}
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

[!] Please replace "%{gemdir}/gems/%{gemname}-%{version}/" with %{geminstdir}
    Also please make sure you have %dir %{geminstdir}


Please fix these two issues before importing package to Fedora Packages.

REVIEW+

Comment 4 Jozef Zigmund 2010-11-08 16:43:20 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> 
> > NEW SPEC URL: http://st.fri.uniza.sk/~zigmundj/fedorapkg/rubygem-mustache.spec
> > NEW SRPM URL:
> > http://st.fri.uniza.sk/~zigmundj/fedorapkg/rubygem-mustache-0.11.2-2.fc13.src.rpm
> 
> 
> Notes for -2:
> 
> [!] Please mark man, README.md and LICENSE with %doc
> 
> %defattr(-, root, root, -)
> %{_bindir}/mustache
> %{gemdir}/gems/%{gemname}-%{version}/
> %doc %{gemdir}/doc/%{gemname}-%{version}
> %{gemdir}/cache/%{gemname}-%{version}.gem
> %{gemdir}/specifications/%{gemname}-%{version}.gemspec
> 
> [!] Please replace "%{gemdir}/gems/%{gemname}-%{version}/" with %{geminstdir}
>     Also please make sure you have %dir %{geminstdir}
> 
> 
> Please fix these two issues before importing package to Fedora Packages.
> 
> REVIEW+

* Mon Nov 8 2010 Jozef Zigmund <jzigmund@redhat.com> - 0.11.2-3
- Added README.md, LICENSE with macro doc
- Replaced macro {gemdir}/gems/{gemname}-{version}/ by macro dir {geminstdir}
- Added lib, bin to macro {geminstdir}
- Added subpackage doc with folders: man, test, doc and one file: Rakefile

NEW SPEC URL: http://people.redhat.com/jzigmund/rubygem-mustache.spec
NEW SRPM URL: http://people.redhat.com/jzigmund/rubygem-mustache-0.11.2-3.fc13.src.rpm

Comment 5 Jozef Zigmund 2010-11-08 16:47:51 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> 
> > NEW SPEC URL: http://st.fri.uniza.sk/~zigmundj/fedorapkg/rubygem-mustache.spec
> > NEW SRPM URL:
> > http://st.fri.uniza.sk/~zigmundj/fedorapkg/rubygem-mustache-0.11.2-2.fc13.src.rpm
> 
> 
> Notes for -2:
> 
> [!] Please mark man, README.md and LICENSE with %doc
> 
> %defattr(-, root, root, -)
> %{_bindir}/mustache
> %{gemdir}/gems/%{gemname}-%{version}/
> %doc %{gemdir}/doc/%{gemname}-%{version}
> %{gemdir}/cache/%{gemname}-%{version}.gem
> %{gemdir}/specifications/%{gemname}-%{version}.gemspec
> 
> [!] Please replace "%{gemdir}/gems/%{gemname}-%{version}/" with %{geminstdir}
>     Also please make sure you have %dir %{geminstdir}
> 
> 
> Please fix these two issues before importing package to Fedora Packages.
> 
> REVIEW+

Thank for the review.

New Package SCM Request
=======================
Package Name:      rubygem-mustache
Short Description: Think of Mustache as a replacement for your views
Owners:            jzigmund
Branches:          f13 f14

Comment 6 Jason Tibbitts 2010-11-09 13:04:33 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2010-11-09 16:18:49 UTC
rubygem-mustache-0.11.2-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-mustache-0.11.2-3.fc13

Comment 8 Fedora Update System 2010-11-09 16:37:19 UTC
rubygem-mustache-0.11.2-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-mustache-0.11.2-3.fc14

Comment 9 Fedora Update System 2010-11-10 01:07:17 UTC
rubygem-mustache-0.11.2-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-mustache'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-mustache-0.11.2-3.fc14

Comment 10 Fedora Update System 2010-11-10 12:10:13 UTC
rubygem-mustache-0.11.2-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-mustache-0.11.2-4.fc13

Comment 11 Fedora Update System 2010-11-10 12:11:16 UTC
rubygem-mustache-0.11.2-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-mustache-0.11.2-4.fc14

Comment 12 Fedora Update System 2010-11-23 21:51:48 UTC
rubygem-mustache-0.11.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-11-23 21:53:16 UTC
rubygem-mustache-0.11.2-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Vít Ondruch 2012-04-17 11:43:57 UTC
Package Change Request
======================
Package Name: rubygem-mustache
New Branches: el6
Owners: vondruch

Comment 15 Gwyn Ciesla 2012-04-17 13:25:43 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.